<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>EditLabelComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>edit-label</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./edit-label.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./edit-label.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#data">data</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#dialogRef">dialogRef</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#form">form</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#accept">accept</a>
                            </li>
                            <li>
                                <a href="#cancel">cancel</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(fb: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, dialogRef: <a href="../components/EditLabelComponent.html">MatDialogRef<EditLabelComponent></a>, data: literal type)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:13</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>fb</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogRef</td>
                                                  
                                                        <td>
                                                                    <code><a href="../components/EditLabelComponent.html" target="_self" >MatDialogRef&lt;EditLabelComponent&gt;</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>data</td>
                                                  
                                                        <td>
                                                                    <code>literal type</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="accept"></a>
                        <span class="name">
                            <b>
                            accept
                            </b>
                            <a href="#accept"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>accept()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:25</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cancel"></a>
                        <span class="name">
                            <b>
                            cancel
                            </b>
                            <a href="#cancel"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>cancel()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:33</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="data"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            data
                            </b>
                            <a href="#data"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>data:     <code>literal type</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>literal type</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @Inject(MAT_DIALOG_DATA)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:17</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dialogRef"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            dialogRef
                            </b>
                            <a href="#dialogRef"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>dialogRef:     <code><a href="../components/EditLabelComponent.html" target="_self" >MatDialogRef&lt;EditLabelComponent&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../components/EditLabelComponent.html" target="_self" >MatDialogRef&lt;EditLabelComponent&gt;</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:16</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="form"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            form
                            </b>
                            <a href="#form"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>form:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/admin/electoral-authority-key/edit-label/edit-label.component.ts:13</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Inject, OnInit } from &#x27;@angular/core&#x27;;
import { MAT_DIALOG_DATA, MatDialogRef } from &#x27;@angular/material&#x27;;
import { FormBuilder, FormGroup, Validators } from &#x27;@angular/forms&#x27;;
import { labelNotAlreadyUsed } from &#x27;../../../core/util/form-utils&#x27;;


@Component({
  selector: &#x27;edit-label&#x27;,
  templateUrl: &#x27;./edit-label.component.html&#x27;,
  styleUrls: [&#x27;./edit-label.component.scss&#x27;]
})
export class EditLabelComponent implements OnInit {
  public form: FormGroup;

  constructor(fb: FormBuilder,
              public dialogRef: MatDialogRef&lt;EditLabelComponent&gt;,
              @Inject(MAT_DIALOG_DATA) public data: { label: string, otherLabels: string[] }) {
    this.form &#x3D; fb.group({
      label: [data.label,
        [Validators.required, Validators.maxLength(200), labelNotAlreadyUsed(() &#x3D;&gt; data.otherLabels)]],
    });
  }


  accept() {
    this.form.controls.label.markAsTouched();
    if (this.form.valid) {
      this.dialogRef.close(this.form.controls.label.value);
    }
  }


  cancel(): void {
    this.dialogRef.close();
  }

  ngOnInit() {
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;h2 mat-dialog-title&gt;{{&#x27;admin.electoral-authority-key.label-edit-dialog.title&#x27; | translate}}&lt;/h2&gt;
&lt;mat-dialog-content&gt;
  &lt;form [formGroup]&#x3D;&quot;form&quot; novalidate&gt;
    &lt;mat-form-field&gt;
      &lt;input matInput formControlName&#x3D;&quot;label&quot; maxlength&#x3D;&quot;200&quot;
             placeholder&#x3D;&quot;{{&#x27;admin.electoral-authority-key.edit.form.fields.label.placeholder&#x27; | translate}}&quot;&gt;
      &lt;mat-error&gt;
        &lt;default-errors [fieldName]&#x3D;&quot;&#x27;label&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
      &lt;/mat-error&gt;
    &lt;/mat-form-field&gt;
  &lt;/form&gt;
&lt;/mat-dialog-content&gt;
&lt;mat-dialog-actions fxLayout&#x3D;&quot;row&quot; fxLayoutAlign&#x3D;&quot;end&quot;&gt;
  &lt;button mat-button (click)&#x3D;&quot;cancel()&quot; id&#x3D;&quot;cancel&quot;&gt;{{&#x27;global.actions.cancel&#x27; | translate | uppercase}}&lt;/button&gt;
  &lt;button mat-raised-button (click)&#x3D;&quot;accept()&quot; color&#x3D;&quot;primary&quot; [disabled]&#x3D;&quot;data.label.trim() &#x3D;&#x3D;&#x3D; &#x27;&#x27;&quot; id&#x3D;&quot;accept&quot;&gt;
    {{&#x27;global.actions.validate&#x27; | translate | uppercase}}
  &lt;/button&gt;
&lt;/mat-dialog-actions&gt;


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./edit-label.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">mat-form-field {
  width: 100%;
  height: 80px;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><h2 mat-dialog-title>{{\'admin.electoral-authority-key.label-edit-dialog.title\' | translate}}</h2><mat-dialog-content>  <form [formGroup]="form" novalidate>    <mat-form-field>      <input matInput formControlName="label" maxlength="200"             placeholder="{{\'admin.electoral-authority-key.edit.form.fields.label.placeholder\' | translate}}">      <mat-error>        <default-errors [fieldName]="\'label\'" [form]="form"></default-errors>      </mat-error>    </mat-form-field>  </form></mat-dialog-content><mat-dialog-actions fxLayout="row" fxLayoutAlign="end">  <button mat-button (click)="cancel()" id="cancel">{{\'global.actions.cancel\' | translate | uppercase}}</button>  <button mat-raised-button (click)="accept()" color="primary" [disabled]="data.label.trim() === \'\'" id="accept">    {{\'global.actions.validate\' | translate | uppercase}}  </button></mat-dialog-actions></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'EditLabelComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'EditLabelComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
